ru.bitel.bgbilling.kernel.tariff.common.service

## Interface TariffLabelService

-     public interface TariffLabelService

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Set<java.lang.Integer>` | `getTariffLabelIds(int tariffPlanId)`
    `java.util.List<TariffLabelItem>` | `getTariffLabelTreeItemList(int tariffPlanId)`
    `void` | `removeTariffLabelTreeItem(int tariffLabelItemId)`
    `void` | `setTariffLabelTreeItemList(int tariffPlanId, java.util.List<TariffLabelItem> items)`
    `int` | `updateTariffLabelTreeItem(TariffLabelItem tariffLabelItem)`

- - ### Method Detail

    - #### getTariffLabelTreeItemList

          java.util.List<TariffLabelItem> getTariffLabelTreeItemList(int tariffPlanId)
                                                              throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### setTariffLabelTreeItemList

          void setTariffLabelTreeItemList(int tariffPlanId,
                                          java.util.List<TariffLabelItem> items)
                                   throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### updateTariffLabelTreeItem

          int updateTariffLabelTreeItem(TariffLabelItem tariffLabelItem)
                                 throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getTariffLabelIds

          java.util.Set<java.lang.Integer> getTariffLabelIds(int tariffPlanId)
                                                      throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### removeTariffLabelTreeItem

          void removeTariffLabelTreeItem(int tariffLabelItemId)
                                  throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`